Java 8 support in 0.9.0-beta?

This is where you talk about the EV3 software itself, installation issues, and programming talk.

Moderators: roger, gloomyandy, skoehler

fgfanta
New User
Posts: 10
Joined: Sun Nov 30, 2014 12:18 am

Java 8 support in 0.9.0-beta?

Postby fgfanta » Mon Jan 19, 2015 9:54 am

Hi!
Is Java 8 supported in the brick (EV3) with leJOS 0.9.0-beta? Which JVM should I use in the brick?

Thanks!

User avatar
gloomyandy
leJOS Team Member
Posts: 6017
Joined: Fri Sep 28, 2007 2:06 pm
Location: UK

Re: Java 8 support in 0.9.0-beta?

Postby gloomyandy » Mon Jan 19, 2015 10:11 am

Yes it is but you will have to build the JRE yourself. If you don't know what this means then best to wait until we get around to writing up some instructions on how to do it! Out of interest why do you want to use Java 8? What features do you want to use and why?

fgfanta
New User
Posts: 10
Joined: Sun Nov 30, 2014 12:18 am

Re: Java 8 support in 0.9.0-beta?

Postby fgfanta » Fri Jan 23, 2015 3:59 am

Thank you! I will wait for the instructions.
I am mainly interested in the support for functional programming (lambdas, etc.). In some cases I find it allows me to state what I want the program to do in a more intuitive, streamlined way.

User avatar
gloomyandy
leJOS Team Member
Posts: 6017
Joined: Fri Sep 28, 2007 2:06 pm
Location: UK

Re: Java 8 support in 0.9.0-beta?

Postby gloomyandy » Fri Jan 23, 2015 9:05 am

OK, I'll try and write up some instructions as soon as I get chance.

Andy


Return to “EV3 Software”

Who is online

Users browsing this forum: No registered users and 2 guests